Bug 1174323 - copyright problem
Summary: copyright problem
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libccp4   
(Show other bugs)
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Fenn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2014-12-15 16:05 UTC by Dave Love
Modified: 2018-06-13 18:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-13 18:39:14 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Love 2014-12-15 16:05:41 UTC
Description of problem:
The COPYING file is not the GPL, but a version which has been modified,
despite of the stricture at the top, rather than supplemented.  It presumably
infringes the FSF's copyright.

Comment 1 Tom "spot" Callaway 2014-12-15 18:27:05 UTC
I think that the changes are in keeping with the spirit of 7a, although, perhaps not the letter. Nevertheless, this is a case where we will defer to the FSF. I'll open a ticket with them.

Comment 2 Jaroslav Reznik 2015-03-03 17:06:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 12:32:56 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Tom "spot" Callaway 2016-07-21 14:32:04 UTC
I filed this ticket with the FSF back in 2014. Our last correspondance on this matter was in February of 2015, where they stated:

  This is a concern we care about. While it is unlikely that this
  particular file will spread too far, we have seen it happen before in
  which a modified license file ends-up being copied for one reason to
  another into other projects without knowing that it is a modified
  version of the GPL. So whenever we see that this has happened, we find
  it is best to just get the problem fixed as soon as we can. 

They asked for contact information for the libccp4 upstream, and I provided them all the information I had. This was the last I heard from the FSF on this issue. It is unclear what else we can do here.

Comment 5 Jan Kurik 2016-07-26 05:08:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 6 Fedora End Of Life 2017-11-16 19:02:52 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:12:47 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Peter Lemenkov 2017-12-12 10:28:23 UTC
This issue is still valid. Reopening it.

Comment 9 Fedora End Of Life 2018-02-20 15:33:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 10 Tom "spot" Callaway 2018-06-13 18:39:14 UTC
While upstream hasn't done anything to resolve the issue with the modified COPYING (and may no longer be working on this software, given no releases in 3 years), in looking at this again, all of the code is under the LGPLv3, and COPYING.LESSER is not modified. 

I'm going to close this as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.